
singleton Material(fullsize)
{
   mapTo = "Body1";
   diffuseMap[2] = "vehicles/hatch/hatch_c_alt.dds";
   specularMap[2] = "vehicles/hatch/hatch_s_alt.dds";
   normalMap[2] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[1] = "vehicles/hatch/hatch_d_alt.dds";
   specularMap[1] = "vehicles/hatch/hatch_s_alt.dds";
   normalMap[1] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/hatch/hatch_n.dds";
   //diffuseMap[3] = "vehicles/hatch/hatch_dirt.dds";
   //normalMap[3] = "vehicles/hatch/hatch_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_gauges)
{
   mapTo = "fullsize_gauges";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/interior_lod0.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/interior_lod0_s.png";
   specularPower[0] = "19";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
};

singleton Material(fullsize_gauges_on)
{
   mapTo = "fullsize_gauges_on";
   diffuseMap[1] = "vehicles/BMW-535is/TXT/interior_lod1.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/interior_lod0_s.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "0.286275 0.286275 0.286275 0.83";
   pixelSpecular[1] = "1";
};

singleton Material(fullsize_interior)
{
   mapTo = "fullsize_interior";
   diffuseMap[0] = "fullsize_interior_d.dds";
   normalMap[0] = "fullsize_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "fullsize_interior_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.8 0.8 0.8 1";
};

singleton Material(fullsize_glass)
{
   mapTo = "fullsize_glass";
   diffuseMap[0] = "vehicles/fullsize/fullsize_glass_d.dds";
   specularMap[0] = "vehicles/fullsize/fullsize_glass_s.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_glass_da.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_glass_s.dds";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_signal_L)
{
   mapTo = "fullsize_signal_L";
};

singleton Material(fullsize_signal_R)
{
   mapTo = "fullsize_signal_R";
};

singleton Material(fullsize_taillight)
{
   mapTo = "fullsize_taillight";
};

singleton Material(fullsize_chmsl)
{
   mapTo = "fullsize_chmsl";
};

singleton Material(fullsize_headlight)
{
   mapTo = "fullsize_headlight";
};

singleton Material(fullsize_reverselight)
{
   mapTo = "fullsize_reverselight";
};

singleton Material(fullsize_parkinglight)
{
   mapTo = "fullsize_parkinglight";
};

singleton Material(fullsize_lights_on)
{
   mapTo = "fullsize_lights_on";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "0.133333 0.133333 0.133333 0.801";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseMap[2] = "vehicles/common/null.dds";
   materialTag2 = "Industrial";
};

singleton Material(fullsize_glass_dmg)
{
   mapTo = "fullsize_glass_dmg";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_lights_n.dds";
   specularPower[0] = "32";
   pixelSpecular[0] = "0";
   specularPower[1] = "8";
   pixelSpecular[1] = "0";
   diffuseColor[0] = "1.5 1.5 1.5 0.091";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "0";
   useAnisotropic[2] = "0";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   translucentBlendOp = "Sub";
   alphaTest = "0";
   alphaRef = "0";
   glow[2] = "0";
   emissive[2] = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   materialTag2 = "Industrial";
   glow[1] = "0";
   emissive[1] = "0";
   scrollDir[0] = "-0.52 0.483";
   rotSpeed[0] = "1";
   rotPivotOffset[0] = "-0.64 -0.38";
};

singleton Material(fullsize_glass_dmg)
{
   mapTo = "fullsize_glass_dmg";
   diffuseMap[0] = "vehicles/fullsize/fullsize_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lights_dmg)
{
   mapTo = "fullsize_lights_dmg";
   diffuseMap[1] = "vehicles/fullsize/fullsize_lights_dmg_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_lights_dmg_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lights)
{
   mapTo = "fullsize_lights";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "10";
   pixelSpecular[1] = "0";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   diffuseColor[1] = "0.733333 0.733333 0.733333 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   parallaxScale[1] = "0.1";
   diffuseColor[2] = "1 1 1 0.282";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/leather_black.png";
   diffuseMap[2] = "vehicles/BMW-535is/TXT/leather_black.png";
   diffuseMap[1] = "vehicles/common/null.dds";
};

singleton Material(fullsize__3___Default)
{
   mapTo = "_3_-_Default";
   diffuseColor[0] = "0.145098 0.145098 0.145098 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "40";
   translucentBlendOp = "None";
};

singleton Material(BMW_535is_By_Adam_Logo)
{
   mapTo = "Logo";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.992157 0.992157 0.992157 1";
   specularPower[0] = "1";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/wheel_lwo.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/wheel_lwo_s.png";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Disk)
{
   mapTo = "Disk";
   diffuseColor[0] = "0.894118 0.894118 0.894118 1";
   specular[0] = "0.0275 0.0275 0.0275 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseColor[1] = "0.721569 0.721569 0.721569 0.784";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularPower[1] = "21";
   pixelSpecular[1] = "1";
   parallaxScale[0] = "0.1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Black)
{
   mapTo = "Black";
   diffuseColor[0] = "0.133333 0.133333 0.133333 1";
   specular[0] = "0.992157 0.992157 0.992157 1";
   specularPower[0] = "40";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/gb_jewelbox01.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/gb_jewelbox01_s.png";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_body__env_8_spec__001)
{
   mapTo = "body__env_8_spec__001";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.109804 0.109804 0.109804 1";
   specular[0] = "0.04375 0.0425 0.0425 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Glass)
{
   mapTo = "Glass";
   diffuseColor[0] = "0.564706 0.564706 0.564706 0.166";
   specular[0] = "0.0275 0.03 0.03125 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "Sub";
   translucent = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Chrome)
{
   mapTo = "Chrome";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.992157 0.992157 0.992157 1";
   specularPower[0] = "40";
   doubleSided = "1";
   translucentBlendOp = "None";
   pixelSpecular[0] = "1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Body)
{
   mapTo = "Body";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.25 0.23935 0.23935 1";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseColor[1] = "0.439216 0.0352941 0.00392157 0.834";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularPower[1] = "14";
   pixelSpecular[1] = "1";
   alphaRef = "181";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Nodamage)
{
   mapTo = "Nodamage";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.1225 0.1225 0.1225 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/nodamage.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/nodamage_s.png";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Fara_001)
{
   mapTo = "Fara_001";
   diffuseColor[0] = "0.996078 0.996078 0.996078 0.722";
   specular[0] = "0.0275 0.0275 0.0275 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "Sub";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/lights.png";
   translucent = "1";
   materialTag0 = "Miscellaneous";
   materialTag1 = "vehicle";
};

singleton Material(BMW_535is_By_Adam_vehiclelights128__spec_FR__001_001)
{
   mapTo = "vehiclelights128__spec_FR__001_001";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.055 0.125 0.10875 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_vehiclelights128__spec__001)
{
   mapTo = "vehiclelights128__spec__001";
   diffuseColor[0] = "0.905882 0.905882 0.905882 1";
   specular[0] = "0.055 0.055 0.055 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_vehiclelights128__spec_RR__001_001)
{
   mapTo = "vehiclelights128__spec_RR__001_001";
   diffuseColor[0] = "0.980392 0.980392 0.980392 1";
   specular[0] = "0.125 0.07125 0.055 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_vehiclelights128__spec_FL__001_001)
{
   mapTo = "vehiclelights128__spec_FL__001_001";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.125 0.1025 0.055 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Leather_Black)
{
   mapTo = "Leather-Black";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.172549 0.172549 0.172549 0.876";
   specularPower[0] = "51";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/leather_black.tga";
   NormalMap[0] = "vehicles/BMW-535is/TXT/leather_black_s.tga";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Plastik_001)
{
   mapTo = "Plastik_001";
   diffuseColor[0] = "0.772549 0.772549 0.772549 1";
   specular[0] = "0.992157 0.992157 0.992157 1";
   specularPower[0] = "128";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/plastic_rubble.png";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
   normalMap[0] = "C:/Users/user/Documents/BeamNG.drive/mods/vehicles/BMW-535is/TXT/plastic_rubble_s.png";
   specularStrength[0] = "0.240196";
   subSurface[0] = "1";
   subSurfaceColor[0] = "0.470588 0.470588 0.470588 1";
   alphaRef = "0";
};

singleton Material(BMW_535is_By_Adam_Dno_001)
{
   mapTo = "Dno_001";
   diffuseColor[0] = "0.239216 0.239216 0.239216 1";
   specular[0] = "0.095 0.095 0.09625 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "C:/Users/user/Documents/BeamNG.drive/mods/vehicles/BMW-535is/TXT/leather_black.png";
   materialTag0 = "Miscellaneous";
   emissive[0] = "1";
   materialTag1 = "vehicle";
};

singleton Material(BMW_535is_By_Adam_Seats_001)
{
   mapTo = "Seats_001";
   diffuseColor[0] = "0.85098 0.85098 0.85098 1";
   specular[0] = "0.196078 0.196078 0.196078 2";
   specularPower[0] = "19";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/seat.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/seat_s.png";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Leather)
{
   mapTo = "Leather";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.03625 0.03625 0.03625 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/leather.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/leather_s.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Matte__FFCCCCCC_001_001)
{
   mapTo = "Matte__FFCCCCCC_001_001";
   diffuseColor[0] = "0.972549 0.972549 0.972549 1";
   specular[0] = "0.0625 0.0625 0.0625 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/leather_black.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/leather_black_s.tga";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Leather_Grey)
{
   mapTo = "Leather-Grey";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.992157 0.992157 0.992157 1";
   specularPower[0] = "40";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/gb_jewelbox01.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/gb_jewelbox01_s.png";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Interior)
{
   mapTo = "Interior";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.184314 0.184314 0.184314 1";
   specularPower[0] = "24";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/interior_lod0.png";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_Serebro)
{
   mapTo = "Serebro";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.055 0.055 0.055 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   materialTag0 = "Miscellaneous";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/aluminium.png";
   materialTag1 = "vehicle";
};

singleton Material(BMW_535is_By_Adam_rubber__spec__001)
{
   mapTo = "rubber__spec__001";
   diffuseColor[0] = "0.117647 0.117647 0.117647 1";
   specular[0] = "0.992157 0.992157 0.992157 1";
   specularPower[0] = "40";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/gb_jewelbox01.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/gb_jewelbox01_s.png";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_aluminium__spec__001)
{
   mapTo = "aluminium__spec__001";
   diffuseColor[0] = "0.760784 0.760784 0.760784 1";
   specular[0] = "0.055 0.055 0.055 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/aluminium.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(BMW_535is_By_Adam_GRM_001)
{
   mapTo = "GRM_001";
   diffuseColor[0] = "0.584314 0.584314 0.584314 1";
   specular[0] = "0.886275 0.886275 0.886275 1";
   specularPower[0] = "128";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/leather_black.png";
   animFlags[0] = "0x00000001";
   scrollDir[0] = "0.103 1";
   scrollSpeed[0] = "0.471";
   rotSpeed[0] = "-5.53";
   rotPivotOffset[0] = "-0.59 -0.18";
   materialTag0 = "Miscellaneous";
   subSurfaceColor[0] = "0.996078 0.992157 0.992157 1";
   materialTag1 = "vehicle";
};

singleton Material(BMW_535is_By_Adam_doorrear__spec__001)
{
   mapTo = "doorrear__spec__001";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.266667 0.266667 0.266667 1";
   specularPower[0] = "40";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/doorrear.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/doorrear_s.png";
   pixelSpecular[0] = "1";
   materialTag0 = "Miscellaneous";
   materialTag1 = "vehicle";
};

singleton Material(BMW_535is_By_Adam_Doorfront)
{
   mapTo = "Doorfront";
   diffuseColor[0] = "0.992157 0.992157 0.992157 1";
   specular[0] = "0.027451 0.027451 0.027451 1";
   specularPower[0] = "31";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/doorfront.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/doorfront_s.png";
   pixelSpecular[0] = "1";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(BMW_535is_By_Adam_Matte__FF222222__spec__001)
{
   mapTo = "Matte__FF222222__spec__001";
   diffuseColor[0] = "0.227451 0.227451 0.227451 1";
   specular[0] = "0.0475 0.0475 0.0475 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(BMW_535is_By_Adam_Flor)
{
   mapTo = "Flor";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.03625 0.03625 0.03625 1";
   specularPower[0] = "3";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/flor.png";
   normalMap[0] = "vehicles/BMW-535is/TXT/flor_s.png";
   waveFreq[0] = "0.5";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(BMW_535is_By_Adam_lights__spec__001_001)
{
   mapTo = "lights__spec__001_001";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.1225 0.1225 0.125 1";
   specularPower[0] = "5";
   doubleSided = "1";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/BMW-535is/TXT/lights.png";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(BMW_535is_By_Adam_Body1)
{
   mapTo = "Body1";
   diffuseMap[2] = "vehicles/hatch/hatch_c_alt.dds";
   specularMap[2] = "vehicles/hatch/hatch_s_alt.dds";
   normalMap[2] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[1] = "vehicles/hatch/hatch_d_alt.dds";
   specularMap[1] = "vehicles/hatch/hatch_s_alt.dds";
   normalMap[1] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/hatch/hatch_n.dds";
   //diffuseMap[3] = "vehicles/hatch/hatch_dirt.dds";
   //normalMap[3] = "vehicles/hatch/hatch_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};
